#include "jserver.h"

#define PHASE_INIT 1
#define PHASE_LOGIN 2
#define PHASE_PRE 3
#define PHASE_NORM 4

#define ROOM "#jabber"

/* our 'session' data */
typedef struct ircdata_struct
{
    int phase, initflag, whoflag;
    char *nick;
    char *server;
    char *pass;
    char *res;
    session s;
    jid id;
    thread t;
    xmlnode roster;
    ppdb pres;
} *ircdata, _ircdata;

void svc_irc_line(ircdata d, char *from, char *cmd, char *data, int argc, ...);
void svc_irc_in(session s, jpacket p, void *arg);
void svc_irc_out(ircdata d, char *cmd, char *to, char *args, char *data);

xmlnode svc_irc_item(ircdata d, jid id);
char *svc_irc_nick(ircdata d, jid id);
char *svc_irc_id(ircdata d, char *nick);

void svc_irc_who(ircdata d, char *to);